Pular para o conteúdo principal
GET
/
v2
/
enterprise
/
roles
Endpoint de Funções Enterprise
curl --request GET \
  --url https://api.devin.ai/v2/enterprise/roles \
  --header 'Authorization: Bearer <token>'
[
  {
    "role_id": "<string>",
    "role_name": "<string>",
    "role_type": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

Requer uma chave de API pessoal de administrador da Enterprise. Retorna uma lista de todas as funções disponíveis na sua Enterprise, incluindo funções em nível de Enterprise e em nível de organização. Cada função inclui seu identificador exclusivo, nome de exibição e tipo.

Autorizações

Authorization
string
header
obrigatório

Chave de API pessoal (apk_user_*) somente para administradores do Enterprise

Resposta

200 - application/json

Resposta bem-sucedida

role_id
string
obrigatório
role_name
string
obrigatório
role_type
string
obrigatório